View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
07445Feature requestsSurvey editingpublic2021-11-15 08:49
Reporteruser4990Assigned Togalads  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Summary07445: Oracle Support
DescriptionSupport the Orcale DB
Additional InformationA possible solution: Implement support
Support the Orcale DB - ADODB can generally handle this so it should not be too hard.
TagsNo tags attached.
Bug heat4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

user1

2011-04-12 16:30

  ~24357

The SQL statements hard-coded in the Limesurvey source code aren't compatible with Oracle SQL (most of them).

I implemented this solution using 'oci8po' driver (ADODB Library), but losing the compatibility with other databases. I have done a lot of depuration, but still have some bugs.

The actual state is functional.
vlad

vlad

2011-07-18 23:35

reporter   ~24358

Hello NSS

first receives a warm greeting, I come to you because the situation I have is how to install LimeSurvey with support for Oracle 10g database and I failed to succeed, then, if is possible you have a guidance on how to resolve this situation, I'll appreciate infinitely your help

I hope to hear from you

thanks

Best Regards

user1

2011-07-20 20:29

  ~24359

Hello vlad

If you like, I can send to you a compressed archive with a modified version of Limesurvey. We have been using this version for a while in a pre-production stage, with satisfactory results.
You have to understand that this Limesurvey can't be upgraded to a new version without modifications of the source code.

Best Regards
vlad

vlad

2011-08-10 02:41

reporter   ~24360


Hello NSS

I had some problems but I'm here, thanks for your answer ...

really I appreciate your proposal to send me the modified version of LimeSurvey you mention.

my email is:
vlad.resendiz@gmail.com

I appreciate your support again

thank you very much

best regards

Issue History

Date Modified Username Field Change
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2021-11-15 08:49 galads Assigned To => galads
2021-11-15 08:49 galads Status acknowledged => closed
2021-11-15 08:49 galads Resolution open => fixed